<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
	    
		<h2>Přísady</h2>
		
		<h:form>
			<!-- funguje to iterativne, var rika, jak oznacime jednu aktualni polozku v ramci cyklu -->
			<!-- foreach person in personBean.people -->
			<h:dataTable value="#{prisadaBean.prisady}" var="prisada" styleClass="table" 
			columnClasses="text-center,text-left,text-right,text-right,text-center">
				<h:column>
					<f:facet name="header">
						ID
					</f:facet>
					<h:outputText value="#{prisada.idPrisady}"></h:outputText>
				</h:column>
				<h:column>	
					<f:facet name="header">
						Název
					</f:facet>
					<h:outputText value="#{prisada.nazevPrisady}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Cena
					</f:facet>
					<h:outputText value="#{prisada.nakupniCena} Kč"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Skladem
					</f:facet>
					<h:outputText value="#{prisada.mnozstviSkladem} #{prisada.jednotka}"></h:outputText>
				</h:column>
				<h:column  rendered="#{authenticationBean.canView('admin')}">
					<h:commandLink action="#{prisadaBean.actionEdit(prisada)}">
						<i class="fa fa-pencil fa-15x" aria-hidden="true" title="Upravit"></i>
					</h:commandLink>
				</h:column>
			</h:dataTable>
			<h:commandLink action="#{prisadaBean.actionNew}" styleClass="button"  rendered="#{authenticationBean.canView('admin')}">
				<h:outputText value="Nová přísada"></h:outputText>
			</h:commandLink>
		</h:form>
	</ui:define>
</ui:composition>
</html>
